package coupon

import (
	"spaceofcheng/services/models/model"
)

// UpdateTarget 更新关联内容 -- 插入或者更新
func (m *CouponDAO) UpdateTarget(targets []model.TaCouponTarget, couponID string) error {
	if targets == nil || len(targets) == 0 {
		return nil
	}

	for i := range targets {
		targets[i].CouponId = couponID
	}

	var delTargets []model.TaCouponTarget
	if _, err := m.db.Where("coupon_id=?", couponID).Delete(&delTargets); err != nil {
		return err
	}

	if _, err := m.db.Insert(targets); err != nil {
		return err
	}

	return nil
}
