package routers

import (
	"spaceofcheng/services/controllers/course"
	"spaceofcheng/services/controllers/customer"
	"spaceofcheng/services/controllers/goods"

	"github.com/astaxie/beego"
)

func getWechatRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::wechat")

	return beego.NSNamespace(prefix,
		// 会员
		beego.NSRouter("/customer", &customer.CustomerController{}, "get:GetCustWXByID"),

		// 下单
		beego.NSRouter("/order/goods", &goods.GoodsController{}, "post:PostOrder"),
		beego.NSRouter("/order/course", &course.CourseController{}, "post:PostOrder"),

		// 课程
		beego.NSRouter("/course/user", &course.CourseController{}, "get:GetCustomerCourse"),
		beego.NSRouter("/course/user/:id", &course.CourseController{}, "get:GetCustomerCourseByID"),

		// 商品订单
		beego.NSRouter("/goods/user", &goods.GoodsController{}, "get:GetCustomerOrders"),

		// 案场订单数量
		beego.NSRouter("/goods/case/:caseid", &goods.GoodsController{}, "get:GetCaseOrdersNum"),
	)
}
